---------------------
PatchSet 5236 
Date: 2007/08/10 10:41:09
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Some Formatting tweaks to squidclient output. Much more readable.

Members: 
	src/HttpHeader.cc:1.18.4.8->1.18.4.9 
	src/cache_manager.cc:1.7.8.3->1.7.8.4 
	src/client_db.cc:1.5.4.14->1.5.4.15 
	src/event.cc:1.5.8.5->1.5.8.6 

Index: squid3/src/HttpHeader.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/HttpHeader.cc,v
retrieving revision 1.18.4.8
retrieving revision 1.18.4.9
diff -u -r1.18.4.8 -r1.18.4.9
--- squid3/src/HttpHeader.cc	30 May 2007 05:06:06 -0000	1.18.4.8
+++ squid3/src/HttpHeader.cc	10 Aug 2007 10:41:09 -0000	1.18.4.9
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeader.cc,v 1.18.4.8 2007/05/30 05:06:06 amosjeffries Exp $
+ * $Id: HttpHeader.cc,v 1.18.4.9 2007/08/10 10:41:09 amosjeffries Exp $
  *
  * DEBUG: section 55    HTTP Header
  * AUTHOR: Alex Rousskov
@@ -1606,12 +1606,12 @@
     /* field stats for all messages */
     storeAppendPrintf(e, "\nHttp Fields Stats (replies and requests)\n");
 
-    storeAppendPrintf(e, "%2s\t %-20s\t %5s\t %6s\t %6s\n",
+    storeAppendPrintf(e, "%2s\t %-25s\t %5s\t %6s\t %6s\n",
                       "id", "name", "#alive", "%err", "%repeat");
 
     for (ht = (http_hdr_type)0; ht < HDR_ENUM_END; ++ht) {
         HttpHeaderFieldInfo *f = Headers + ht;
-        storeAppendPrintf(e, "%2d\t %-20s\t %5d\t %6.3f\t %6.3f\n",
+        storeAppendPrintf(e, "%2d\t %-25s\t %5d\t %6.3f\t %6.3f\n",
                           f->id, f->name.buf(), f->stat.aliveCount,
                           xpercent(f->stat.errCount, f->stat.parsCount),
                           xpercent(f->stat.repCount, f->stat.seenCount));
Index: squid3/src/cache_manager.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/cache_manager.cc,v
retrieving revision 1.7.8.3
retrieving revision 1.7.8.4
diff -u -r1.7.8.3 -r1.7.8.4
--- squid3/src/cache_manager.cc	29 Apr 2007 03:01:36 -0000	1.7.8.3
+++ squid3/src/cache_manager.cc	10 Aug 2007 10:41:09 -0000	1.7.8.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_manager.cc,v 1.7.8.3 2007/04/29 03:01:36 amosjeffries Exp $
+ * $Id: cache_manager.cc,v 1.7.8.4 2007/08/10 10:41:09 amosjeffries Exp $
  *
  * DEBUG: section 16    Cache Manager Objects
  * AUTHOR: Duane Wessels
@@ -383,7 +383,7 @@
     CacheManagerAction *a;
 
     for (a = ActionTable; a != NULL; a = a->next) {
-        storeAppendPrintf(sentry, " %-22s\t%s\t%s\n",
+        storeAppendPrintf(sentry, " %-22s\t%-32s\t%s\n",
                           a->action, a->desc, cachemgrActionProtection(a));
     }
 }
Index: squid3/src/client_db.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_db.cc,v
retrieving revision 1.5.4.14
retrieving revision 1.5.4.15
diff -u -r1.5.4.14 -r1.5.4.15
--- squid3/src/client_db.cc	3 Jun 2007 12:58:32 -0000	1.5.4.14
+++ squid3/src/client_db.cc	10 Aug 2007 10:41:09 -0000	1.5.4.15
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_db.cc,v 1.5.4.14 2007/06/03 12:58:32 amosjeffries Exp $
+ * $Id: client_db.cc,v 1.5.4.15 2007/08/10 10:41:09 amosjeffries Exp $
  *
  * DEBUG: section 0     Client Database
  * AUTHOR: Duane Wessels
@@ -248,10 +248,10 @@
 
     while ((c = (ClientInfo *) hash_next(client_table))) {
         storeAppendPrintf(sentry, "Address: %s\n", hashKeyStr(&c->hash));
-        storeAppendPrintf(sentry, "Name: %s\n", fqdnFromAddr(c->addr));
+        storeAppendPrintf(sentry, "Name:    %s\n", fqdnFromAddr(c->addr));
         storeAppendPrintf(sentry, "Currently established connections: %d\n",
                           c->n_established);
-        storeAppendPrintf(sentry, "    ICP Requests %d\n",
+        storeAppendPrintf(sentry, "    ICP  Requests %d\n",
                           c->Icp.n_requests);
 
         for (l = LOG_TAG_NONE; l < LOG_TYPE_MAX; ++l) {
@@ -293,9 +293,9 @@
     }
 
     storeAppendPrintf(sentry, "TOTALS\n");
-    storeAppendPrintf(sentry, "ICP : %d Queries, %d Hits (%3d%%)\n",
+    storeAppendPrintf(sentry, "ICP : %7d Queries,  %7d Hits (%3d%%)\n",
                       icp_total, icp_hits, percent(icp_hits, icp_total));
-    storeAppendPrintf(sentry, "HTTP: %d Requests, %d Hits (%3d%%)\n",
+    storeAppendPrintf(sentry, "HTTP: %7d Requests, %7d Hits (%3d%%)\n",
                       http_total, http_hits, percent(http_hits, http_total));
 }
 
Index: squid3/src/event.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/event.cc,v
retrieving revision 1.5.8.5
retrieving revision 1.5.8.6
diff -u -r1.5.8.5 -r1.5.8.6
--- squid3/src/event.cc	31 Jul 2007 06:40:27 -0000	1.5.8.5
+++ squid3/src/event.cc	10 Aug 2007 10:41:09 -0000	1.5.8.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: event.cc,v 1.5.8.5 2007/07/31 06:40:27 amosjeffries Exp $
+ * $Id: event.cc,v 1.5.8.6 2007/08/10 10:41:09 amosjeffries Exp $
  *
  * DEBUG: section 41    Event Processing
  * AUTHOR: Henrik Nordstrom
@@ -268,14 +268,14 @@
     if (last_event_ran)
         storeAppendPrintf(sentry, "Last event to run: %s\n\n", last_event_ran);
 
-    storeAppendPrintf(sentry, "%s\t%s\t%s\t%s\n",
+    storeAppendPrintf(sentry, "%-25s\t%-15s\t%s\t%s\n",
                       "Operation",
                       "Next Execution",
                       "Weight",
                       "Callback Valid?");
 
     while (e != NULL) {
-        storeAppendPrintf(sentry, "%s\t%f seconds\t%d\t%s\n",
+        storeAppendPrintf(sentry, "%-25s\t%0.3f sec\t%5d\t %s\n",
                           e->name, e->when ? e->when - current_dtime : 0, e->weight,
                   (e->arg && e->cbdata) ? cbdataReferenceValid(e->arg) ? "yes" : "no" : "N/A");
         e = e->next;
